just_deflate 0.1.0 copy "just_deflate: ^0.1.0" to clipboard
just_deflate: ^0.1.0 copied to clipboard

Pure Dart DEFLATE (RFC 1951) compression and decompression with the zlib (RFC 1950) and gzip (RFC 1952) formats. No dependencies; runs on native, web and Wasm.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add just_deflate

With Flutter:

 $ flutter pub add just_deflate

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  just_deflate: ^0.1.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:just_deflate/just_deflate.dart';
0
likes
160
points
152
downloads

Documentation

API reference

Publisher

unverified uploader

Weekly Downloads

Pure Dart DEFLATE (RFC 1951) compression and decompression with the zlib (RFC 1950) and gzip (RFC 1952) formats. No dependencies; runs on native, web and Wasm.

Repository (GitHub)
View/report issues
Contributing

Topics

#compression #deflate #zlib #gzip

License

BSD-3-Clause (license)

More

Packages that depend on just_deflate